IPython 8.5.0-GCCcore-11.3.0

Deprecated: Use of this version of IPython is deprecated. More information on our Applications Support and Retention Policy.

IPython provides a rich architecture for interactive computing with: Powerful interactive shells (terminal and Qt-based). A browser-based notebook with support for code, text, mathematical expressions, inline plots and other rich media. Support for interactive data visualization and use of GUI toolkits. Flexible, embeddable interpreters to load into your own projects. Easy to use, high performance tools for parallel computing.

Accessing IPython 8.5.0-GCCcore-11.3.0

To load the module for IPython 8.5.0-GCCcore-11.3.0 please use this command on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs):

module load IPython/8.5.0-GCCcore-11.3.0

BEAR Apps Version

2018b

Jupyter Notebooks on BlueBEAR

Those looking at running Jupyter Notebooks on BlueBEAR should see the information for the BlueBEAR Portal.

Extensions

  • argon2-cffi-20.1.0
  • asttokens 2.0.8
  • async_generator 1.10
  • backcall 0.2.0
  • bleach 5.0.1
  • debugpy 1.4.1
  • defusedxml 0.7.1
  • deprecation 2.1.0
  • entrypoints 0.4
  • executing 1.0.0
  • fastjsonschema 2.16.1
  • ipykernel 6.13.0
  • ipython 8.5.0
  • ipython_genutils 0.2.0
  • ipywidgets 7.6.3
  • jedi 0.18.1
  • jupyter_client 7.3.1
  • jupyter_core 4.10.0
  • jupyter_packaging 0.12.0
  • jupyterlab_pygments 0.1.2
  • jupyterlab_widgets 3.0.3
  • matplotlib-inline-0.1.2
  • mistune 0.8.1
  • nbclient 0.6.3
  • nbconvert 6.5.3
  • nbformat 5.4.0
  • nest_asyncio 1.5.5
  • notebook 6.4.0
  • pandocfilters 1.5.0
  • parso 0.8.3
  • pickleshare 0.7.5
  • prometheus_client 0.11.0
  • prompt_toolkit 3.0.31
  • pure_eval 0.2.2
  • pyzmq 23.2.1
  • Send2Trash 1.8.0
  • stack_data 0.5.0
  • terminado 0.13.0
  • testpath 0.6.0
  • tinycss2 1.1.1
  • tornado 6.2
  • traitlets 5.2.0
  • widgetsnbextension 3.5.1

More Information

For more information visit the IPython website.

Dependencies

This version of IPython has a direct dependency on: BeautifulSoup/4.10.0-GCCcore-11.3.0 GCCcore/11.3.0 lxml/4.9.1-GCCcore-11.3.0 Python/3.10.4-GCCcore-11.3.0 ZeroMQ/4.3.4-GCCcore-11.3.0

Required By

This version of IPython is a direct dependent of: scvi-tools/0.20.1-foss-2022a-CUDA-11.7.0 scvi-tools/0.20.1-foss-2022a

Other Versions

These versions of IPython are available on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs). These will be retained in accordance with our Applications Support and Retention Policy.

Last modified on 27th January 2023